public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2016-09-30  5:09 Eray Aslan
  0 siblings, 0 replies; 15+ messages in thread
From: Eray Aslan @ 2016-09-30  5:09 UTC (permalink / raw
  To: gentoo-commits

commit:     9e2cdf793d97e3d40611205e12b9adde80a1d1c4
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 05:08:57 2016 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 05:08:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e2cdf79

dev-db/cdb: remove old

Package-Manager: portage-2.3.1

 dev-db/cdb/cdb-0.75-r3.ebuild | 53 -------------------------------------------
 1 file changed, 53 deletions(-)

diff --git a/dev-db/cdb/cdb-0.75-r3.ebuild b/dev-db/cdb/cdb-0.75-r3.ebuild
deleted file mode 100644
index aa073cc..00000000
--- a/dev-db/cdb/cdb-0.75-r3.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=3
-inherit eutils multilib toolchain-funcs
-
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
-
-DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
-HOMEPAGE="http://cr.yp.to/cdb.html"
-SRC_URI="http://cr.yp.to/cdb/${P}.tar.gz"
-LICENSE="public-domain"
-SLOT="0"
-IUSE=""
-
-DEPEND=">=sys-apps/sed-4
-		!dev-db/tinycdb"
-RDEPEND="${DEPEND}"
-
-src_prepare() {
-	epatch "${FILESDIR}"/${P}-errno.diff
-	epatch "${FILESDIR}"/${P}-stdint.diff
-
-	sed -i -e 's/head -1/head -n 1/g' Makefile \
-		|| die "sed Makefile failed"
-}
-
-src_configure() {
-	echo "$(tc-getCC) ${CFLAGS}" > conf-cc
-	echo "$(tc-getCC) ${LDFLAGS}" > conf-ld
-	echo "${EPREFIX}/usr" > conf-home
-}
-
-src_install() {
-	dobin cdbdump cdbget cdbmake cdbmake-12 cdbmake-sv cdbstats cdbtest \
-		|| die "dobin failed"
-
-	# ok so ... first off, some automakes fail at finding
-	# cdb.a, so install that now
-	dolib *.a || die "dolib failed"
-
-	# then do this pretty little symlinking to solve the somewhat
-	# cosmetic library issue at hand
-	dosym cdb.a /usr/$(get_libdir)/libcdb.a || die "dosym failed"
-
-	# uint32.h needs installation too, otherwise compiles depending
-	# on it will fail
-	insinto /usr/include/cdb
-	doins cdb*.h buffer.h alloc.h uint32.h || die "doins failed"
-
-	dodoc CHANGES FILES README SYSDEPS TODO VERSION
-}


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-11-10 13:46 Akinori Hattori
  0 siblings, 0 replies; 15+ messages in thread
From: Akinori Hattori @ 2021-11-10 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     88b3781a49f93e28c4a96b2effbc069524ae18b5
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 10 13:42:24 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Nov 10 13:42:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88b3781a

dev-db/cdb: do not call ar directly

Closes: https://bugs.gentoo.org/718696
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 23009ad748e..1bd0111211c 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -25,8 +25,10 @@ PATCHES=(
 src_prepare() {
 	default
 
-	sed -i -e 's/head -1/head -n 1/g' Makefile \
-		|| die "sed Makefile failed"
+	sed -i \
+		-e "s/head -1/head -n 1/g" \
+		-e "s/ar /$(tc-getAR) /" \
+		Makefile
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-11-10 13:46 Akinori Hattori
  0 siblings, 0 replies; 15+ messages in thread
From: Akinori Hattori @ 2021-11-10 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     fa943a353dac013506170d9415876a230693e13b
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 10 13:37:04 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Nov 10 13:37:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa943a35

dev-db/cdb: update HOMEPAGE and SRC_URI

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index e37760257c3..ff5d1a6ffa7 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -6,8 +6,8 @@ EAPI=7
 inherit toolchain-funcs
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
-HOMEPAGE="http://cr.yp.to/cdb.html"
-SRC_URI="http://cr.yp.to/cdb/${P}.tar.gz"
+HOMEPAGE="https://cr.yp.to/cdb.html"
+SRC_URI="https://cr.yp.to/${PN}/${P}.tar.gz"
 
 LICENSE="public-domain"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-11-10 13:46 Akinori Hattori
  0 siblings, 0 replies; 15+ messages in thread
From: Akinori Hattori @ 2021-11-10 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     a4139b7ebcdafa1dad4457a4581eca3358fb2a77
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 10 13:43:57 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Nov 10 13:43:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4139b7e

dev-db/cdb: do not call ranlib directly

Closes: https://bugs.gentoo.org/722628
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 1bd0111211c..c0f6618e6d3 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -28,6 +28,7 @@ src_prepare() {
 	sed -i \
 		-e "s/head -1/head -n 1/g" \
 		-e "s/ar /$(tc-getAR) /" \
+		-e "s/ranlib /$(tc-getRANLIB) /" \
 		Makefile
 }
 


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-11-10 13:46 Akinori Hattori
  0 siblings, 0 replies; 15+ messages in thread
From: Akinori Hattori @ 2021-11-10 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     9fd3fd2304658372711353e6a7d4dfefb149c3f6
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 10 13:45:40 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Wed Nov 10 13:45:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9fd3fd23

dev-db/cdb: update to EAPI 8

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index c0f6618e6d3..6f6e1be8720 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI="8"
 
 inherit toolchain-funcs
 
@@ -12,15 +12,17 @@ SRC_URI="https://cr.yp.to/${PN}/${P}.tar.gz"
 LICENSE="public-domain"
 SLOT="0"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
 
-DEPEND="!dev-db/tinycdb"
-RDEPEND="${DEPEND}"
+RDEPEND="!dev-db/tinycdb"
+DEPEND="${RDEPEND}"
 
 PATCHES=(
 	"${FILESDIR}"/${PN}-errno.patch
 	"${FILESDIR}"/${PN}-inline.patch
 	"${FILESDIR}"/${PN}-stdint.patch
 )
+DOCS=( CHANGES README TODO VERSION )
 
 src_prepare() {
 	default
@@ -33,26 +35,25 @@ src_prepare() {
 }
 
 src_configure() {
-	echo "$(tc-getCC) ${CFLAGS} -fPIC" > conf-cc || die
-	echo "$(tc-getCC) ${LDFLAGS}" > conf-ld || die
-	echo "${EPREFIX}/usr" > conf-home || die
+	echo "$(tc-getCC) ${CFLAGS} -fPIC" >conf-cc   || die
+	echo "$(tc-getCC) ${LDFLAGS}"      >conf-ld   || die
+	echo "${EPREFIX}/usr"              >conf-home || die
 }
 
 src_install() {
-	dobin cdbdump cdbget cdbmake cdbmake-12 cdbmake-sv cdbstats cdbtest
+	dobin ${PN}{dump,get,make{,-12,-sv},stats,test}
 
 	# ok so ... first off, some automakes fail at finding
 	# cdb.a, so install that now
 	dolib.a *.a
-
 	# then do this pretty little symlinking to solve the somewhat
 	# cosmetic library issue at hand
-	dosym cdb.a /usr/$(get_libdir)/libcdb.a
+	dosym ${PN}.a /usr/$(get_libdir)/lib${PN}.a
 
 	# uint32.h needs installation too, otherwise compiles depending
 	# on it will fail
-	insinto /usr/include/cdb
-	doins cdb*.h buffer.h alloc.h uint32.h
+	insinto /usr/include/${PN}
+	doins ${PN}*.h {alloc,buffer,uint32}.h
 
-	dodoc CHANGES FILES README SYSDEPS TODO VERSION
+	einstalldocs
 }


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-11-08 13:25 Akinori Hattori
  0 siblings, 0 replies; 15+ messages in thread
From: Akinori Hattori @ 2021-11-08 13:25 UTC (permalink / raw
  To: gentoo-commits

commit:     ca7d57245b515d563abffa8fc54895cfa66adb16
Author:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  8 13:25:13 2021 +0000
Commit:     Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Mon Nov  8 13:25:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca7d5724

dev-db/cdb: take over maintainership

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>

 dev-db/cdb/metadata.xml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/dev-db/cdb/metadata.xml b/dev-db/cdb/metadata.xml
index 85e4ed814fa..987ce1bc2ed 100644
--- a/dev-db/cdb/metadata.xml
+++ b/dev-db/cdb/metadata.xml
@@ -1,5 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>hattya@gentoo.org</email>
+		<name>Akinori Hattori</name>
+	</maintainer>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2021-08-29  8:37 Marek Szuba
  0 siblings, 0 replies; 15+ messages in thread
From: Marek Szuba @ 2021-08-29  8:37 UTC (permalink / raw
  To: gentoo-commits

commit:     cf1c2c3a1de9bee2a402a60874307e32c7fb7aef
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 28 23:38:45 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sun Aug 29 08:36:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf1c2c3a

dev-db/cdb: keyword 0.75-r4 for ~riscv

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index a2dd2c71b29..73ca328b035 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://cr.yp.to/cdb/${P}.tar.gz"
 
 LICENSE="public-domain"
 SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
 
 DEPEND="!dev-db/tinycdb"
 RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2019-05-22  2:52 Aaron Bauman
  0 siblings, 0 replies; 15+ messages in thread
From: Aaron Bauman @ 2019-05-22  2:52 UTC (permalink / raw
  To: gentoo-commits

commit:     7003b1e8ebe905398f8234b6f157629a0e2c362c
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed May 22 02:43:53 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed May 22 02:51:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7003b1e8

dev-db/cdb: arm64 stable

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 2c365e5f26c..0525b98345a 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -4,7 +4,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2018-04-02  4:05 Matt Turner
  0 siblings, 0 replies; 15+ messages in thread
From: Matt Turner @ 2018-04-02  4:05 UTC (permalink / raw
  To: gentoo-commits

commit:     7a225409a581bf8ed94b2a9ba90ef4702a8b0faa
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  2 04:04:25 2018 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Apr  2 04:04:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a225409

dev-db/cdb-0.75-r4: added ~mips

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 5e0da1dd216..2c365e5f26c 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -4,7 +4,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2017-07-07 17:45 Alexis Ballier
  0 siblings, 0 replies; 15+ messages in thread
From: Alexis Ballier @ 2017-07-07 17:45 UTC (permalink / raw
  To: gentoo-commits

commit:     e891225bc414da9dc8303b907ca7a9ca9de871de
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  7 17:33:43 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Jul  7 17:45:22 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e891225b

dev-db/cdb: keyword ~arm64

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index d8fe2967f2e..5e0da1dd216 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -4,7 +4,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2016-09-29  3:59 Jeroen Roovers
  0 siblings, 0 replies; 15+ messages in thread
From: Jeroen Roovers @ 2016-09-29  3:59 UTC (permalink / raw
  To: gentoo-commits

commit:     4c0854067ed9c5fbb2c23faffc177e272f065451
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 29 03:59:19 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Sep 29 03:59:19 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c085406

dev-db/cdb: Stable for HPPA (bug #573078).

Package-Manager: portage-2.3.1
RepoMan-Options: --ignore-arches

 dev-db/cdb/cdb-0.75-r4.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index f376006..36e034e 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2016-02-05 19:09 Markus Meier
  0 siblings, 0 replies; 15+ messages in thread
From: Markus Meier @ 2016-02-05 19:09 UTC (permalink / raw
  To: gentoo-commits

commit:     8cb7dc0991191af7cd0f560ff572d1b93f963dc4
Author:     Markus Meier <maekke <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  5 19:09:12 2016 +0000
Commit:     Markus Meier <maekke <AT> gentoo <DOT> org>
CommitDate: Fri Feb  5 19:09:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cb7dc09

dev-db/cdb: arm stable, bug #573078

Package-Manager: portage-2.2.27
RepoMan-Options: --include-arches="arm"

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 7355577..c606fec 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -5,7 +5,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2016-02-04  9:53 Tobias Klausmann
  0 siblings, 0 replies; 15+ messages in thread
From: Tobias Klausmann @ 2016-02-04  9:53 UTC (permalink / raw
  To: gentoo-commits

commit:     145b9d8fb211a3c12dfb94b63d7b0d3acf964965
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  4 09:52:32 2016 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Thu Feb  4 09:52:32 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=145b9d8f

dev-db/cdb: add alpha keyword

Gentoo-Bug: 573078

Package-Manager: portage-2.2.27

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 1025bee..7355577 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -5,7 +5,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2016-01-27  9:22 Agostino Sarubbo
  0 siblings, 0 replies; 15+ messages in thread
From: Agostino Sarubbo @ 2016-01-27  9:22 UTC (permalink / raw
  To: gentoo-commits

commit:     14983cc5b61cde2a4f0f3e6dd483064c6eddb00c
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 27 09:21:34 2016 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Jan 27 09:21:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14983cc5

dev-db/cdb: amd64 stable wrt bug #573078

Package-Manager: portage-2.2.26
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-db/cdb/cdb-0.75-r4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
index 5e335ed..1025bee 100644
--- a/dev-db/cdb/cdb-0.75-r4.ebuild
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -5,7 +5,7 @@
 EAPI=5
 inherit eutils multilib toolchain-funcs
 
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
 
 DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
 HOMEPAGE="http://cr.yp.to/cdb.html"


^ permalink raw reply related	[flat|nested] 15+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/
@ 2015-10-26  8:46 Eray Aslan
  0 siblings, 0 replies; 15+ messages in thread
From: Eray Aslan @ 2015-10-26  8:46 UTC (permalink / raw
  To: gentoo-commits

commit:     0a32d771562dcc35dc339a0b9ab386807f3585a8
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 08:44:52 2015 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 08:44:52 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a32d771

dev-db/cdb: compile with -fPIC

Gentoo-Bug: 563210

Package-Manager: portage-2.2.23

 dev-db/cdb/cdb-0.75-r4.ebuild | 53 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/dev-db/cdb/cdb-0.75-r4.ebuild b/dev-db/cdb/cdb-0.75-r4.ebuild
new file mode 100644
index 0000000..5e335ed
--- /dev/null
+++ b/dev-db/cdb/cdb-0.75-r4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib toolchain-funcs
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos"
+
+DESCRIPTION="Fast, reliable, simple package for creating and reading constant databases"
+HOMEPAGE="http://cr.yp.to/cdb.html"
+SRC_URI="http://cr.yp.to/cdb/${P}.tar.gz"
+LICENSE="public-domain"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=sys-apps/sed-4
+		!dev-db/tinycdb"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-errno.diff
+	epatch "${FILESDIR}"/${P}-stdint.diff
+
+	sed -i -e 's/head -1/head -n 1/g' Makefile \
+		|| die "sed Makefile failed"
+}
+
+src_configure() {
+	echo "$(tc-getCC) ${CFLAGS} -fPIC" > conf-cc
+	echo "$(tc-getCC) ${LDFLAGS}" > conf-ld
+	echo "${EPREFIX}/usr" > conf-home
+}
+
+src_install() {
+	dobin cdbdump cdbget cdbmake cdbmake-12 cdbmake-sv cdbstats cdbtest \
+		|| die "dobin failed"
+
+	# ok so ... first off, some automakes fail at finding
+	# cdb.a, so install that now
+	dolib *.a || die "dolib failed"
+
+	# then do this pretty little symlinking to solve the somewhat
+	# cosmetic library issue at hand
+	dosym cdb.a /usr/$(get_libdir)/libcdb.a || die "dosym failed"
+
+	# uint32.h needs installation too, otherwise compiles depending
+	# on it will fail
+	insinto /usr/include/cdb
+	doins cdb*.h buffer.h alloc.h uint32.h || die "doins failed"
+
+	dodoc CHANGES FILES README SYSDEPS TODO VERSION
+}


^ permalink raw reply related	[flat|nested] 15+ messages in thread

end of thread, other threads:[~2021-11-10 13:46 UTC | newest]

Thread overview: 15+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-09-30  5:09 [gentoo-commits] repo/gentoo:master commit in: dev-db/cdb/ Eray Aslan
  -- strict thread matches above, loose matches on Subject: below --
2021-11-10 13:46 Akinori Hattori
2021-11-10 13:46 Akinori Hattori
2021-11-10 13:46 Akinori Hattori
2021-11-10 13:46 Akinori Hattori
2021-11-08 13:25 Akinori Hattori
2021-08-29  8:37 Marek Szuba
2019-05-22  2:52 Aaron Bauman
2018-04-02  4:05 Matt Turner
2017-07-07 17:45 Alexis Ballier
2016-09-29  3:59 Jeroen Roovers
2016-02-05 19:09 Markus Meier
2016-02-04  9:53 Tobias Klausmann
2016-01-27  9:22 Agostino Sarubbo
2015-10-26  8:46 Eray Aslan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox